"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.readRequiredFile = void 0;
const core_1 = require("@angular-devkit/core");
/**
 * Returns the contents of a required file or throws an error if it doesn't exist.
 */
function readRequiredFile(tree, filePath) {
    const data = tree.read(filePath);
    /* istanbul ignore next */
    if (!data) {
        throw new Error(`The file '${filePath}' was expected to exist but was not found.`);
    }
    return core_1.virtualFs.fileBufferToString(data);
}
exports.readRequiredFile = readRequiredFile;
//# sourceMappingURL=tree.js.map